# 异步请求提交例子: SeedEdit

**方法**: `POST`
**路径**: `/volcv/v1`

当前商品下的能力已支持通过同步转异步接口进行异步调用，
整个调用流程分为两个步骤：

1. 使用 Action=CVSync2AsyncSubmitTask 接口提交任务；

2. 使用 Action=CVSync2AsyncGetResult 接口查询任务结果。

<https://www.volcengine.com/docs/6791/1279296>
**详情请看官方对接文档**

## 请求参数

### Query 参数

```text
Action
string
必需
示例:
CVSync2AsyncSubmitTask
Version
string
必需
示例:
2022-08-31
```

### Header 参数

```text
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}
```

### Body 参数 application/json

```text
object
示例
{
"req_key"
:
"byteedit_v2.0"
,
// "binary_data_base64": [],
"image_urls"
:
[
"https://xxx"
]
,
"prompt"
:
"让他生气"
,
"negative_prompt"
:
""
,
"seed"
:
-1
,
"scale"
:
0.5
,
"return_url"
:
true
,
"logo_info"
:
{
"add_logo"
:
false
,
"position"
:
0
,
"language"
:
0
,
"logo_text_content"
:
"这里是明水印内容"
}
}
```

## 请求示例代码

### Shell

```bash
curl --location --request POST '/volcv/v1?Action=CVSync2AsyncSubmitTask&Version=2022-08-31' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "req_key": "byteedit_v2.0",
    // "binary_data_base64": [],
    "image_urls": [
        "https://xxx"
    ],
    "prompt": "让他生气",
    "negative_prompt": "",
    "seed": -1,
    "scale": 0.5,
    "return_url": true,
    "logo_info": {
        "add_logo": false,
        "position": 0,
        "language": 0,
        "logo_text_content": "这里是明水印内容"
    }
}'
```

## 返回响应

### 🟢 200 成功

**内容类型**: `application/json`

#### 响应结构

```text
object
```

#### 示例

```json
{
    "code": 10000,
    "data": {
        "task_id": "7418048504813240370"
    },
    "message": "Success",
    "request_id": "2024092411365866C579D2A96A35DA62A9",
    "status": 10000,
    "time_elapsed": "23.099216ms"
}
```
